Bug 1470800 - OSP: when validating an account with access to many projects, it checks each, and times out
OSP: when validating an account with access to many projects, it checks each,...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Sam Lucidi
Ido Ovadia
openstack
: ZStream
: 1469688 (view as bug list)
Depends On: 1469306
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 13:24 EDT by Satoe Imaishi
Modified: 2017-10-30 07:02 EDT (History)
12 users (show)

See Also:
Fixed In Version: 5.8.1.3
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1469306
Environment:
Last Closed: 2017-08-02 13:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)

  None (edit)
Comment 3 CFME Bot 2017-07-19 08:43:29 EDT
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/89b9350c9f3aa4054d52668b98f28edb5f14423b

commit 89b9350c9f3aa4054d52668b98f28edb5f14423b
Author:     Tzu-Mainn Chen <tzumainn@redhat.com>
AuthorDate: Thu Jul 13 22:20:45 2017 +0200
Commit:     Tzu-Mainn Chen <tzumainn@redhat.com>
CommitDate: Thu Jul 13 22:20:45 2017 +0200

    [FINE] Prevent iteration over all tenants when picking default tenant
    
    Backport of https://github.com/ManageIQ/manageiq-providers-openstack/pull/62
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1470800

 .../pending/openstack/openstack_handle/handle.rb   | 23 ++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)
Comment 5 Ido Ovadia 2017-07-26 12:36:16 EDT
Verified
========
CFME 5.8.1.5

Verified With 120 projects
Comment 6 myoder 2017-08-01 10:09:05 EDT
*** Bug 1469688 has been marked as a duplicate of this bug. ***
Comment 8 errata-xmlrpc 2017-08-02 13:34:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758
Comment 9 Ido Ovadia 2017-08-08 10:34:49 EDT
Verification made with RHOS 8,10,11 without AD

Note You need to log in before you can comment on or make changes to this bug.